Loading ...
Sorry, an error occurred while loading the content.

Re: [Zope-dev] Zope 3.5dev KGS

Expand Messages
  • Christophe Combelles
    ... Sure, we plan to support 2.4, 2.5, 2.6 in 32 and 64bit. Probably even 3.0 as soon as there is something working for that version. Lennart has already
    Message 1 of 11 , Feb 2, 2009
    View Source
    • 0 Attachment
      Dan Korostelev a écrit :
      > 2009/2/2 Christophe Combelles <ccomb@...>:
      >> Stephan Richter a écrit :
      >>> Hi everyone,
      >>>
      >>> I have setup a KGS for Zope 3.5, so that people can test the development KGS.
      >>>
      >>> http://download.zope.org/zope3.5/
      >>>
      >>> I have updated all packages to the latest version available. I have not tested
      >>> anything. I would like someone to setup a buildbot like at
      >>>
      >>> http://zope3.pov.lt/buildbot/
      >> Ok, Sebastien and I are going to setup the buildbot, we have a dedicated server
      >> for that.
      >>
      >> Marius, could you help us start, by sending me your buildbot configuration?
      >
      > It's even better to have the buildbot configuration published so
      > people could easily setup their copies :)
      >
      > BTW, it would be great to have buildbot for python 2.6, if we want to
      > support it in 3.5. It was somewhat problematic for zope3.pov.lt, as
      > there's old ubuntu versions on that servers, but if you are going to
      > setup another one - may be you'll get py2.6 for that? ;-)

      Sure, we plan to support 2.4, 2.5, 2.6 in 32 and 64bit. Probably even 3.0 as
      soon as there is something working for that version. Lennart has already started
      porting setuptools.

      Christophe
      _______________________________________________
      Zope-Dev maillist - Zope-Dev@...
      http://mail.zope.org/mailman/listinfo/zope-dev
      ** No cross posts or HTML encoding! **
      (Related lists -
      http://mail.zope.org/mailman/listinfo/zope-announce
      http://mail.zope.org/mailman/listinfo/zope )
    • Dan Korostelev
      ... That s just great! Thank you. -- WBR, Dan Korostelev _______________________________________________ Zope-Dev maillist - Zope-Dev@zope.org
      Message 2 of 11 , Feb 2, 2009
      View Source
      • 0 Attachment
        2009/2/2 Christophe Combelles <ccomb@...>:
        > Dan Korostelev a écrit :
        >> 2009/2/2 Christophe Combelles <ccomb@...>:
        >>> Stephan Richter a écrit :
        >>>> Hi everyone,
        >>>>
        >>>> I have setup a KGS for Zope 3.5, so that people can test the development KGS.
        >>>>
        >>>> http://download.zope.org/zope3.5/
        >>>>
        >>>> I have updated all packages to the latest version available. I have not tested
        >>>> anything. I would like someone to setup a buildbot like at
        >>>>
        >>>> http://zope3.pov.lt/buildbot/
        >>> Ok, Sebastien and I are going to setup the buildbot, we have a dedicated server
        >>> for that.
        >>>
        >>> Marius, could you help us start, by sending me your buildbot configuration?
        >>
        >> It's even better to have the buildbot configuration published so
        >> people could easily setup their copies :)
        >>
        >> BTW, it would be great to have buildbot for python 2.6, if we want to
        >> support it in 3.5. It was somewhat problematic for zope3.pov.lt, as
        >> there's old ubuntu versions on that servers, but if you are going to
        >> setup another one - may be you'll get py2.6 for that? ;-)
        >
        > Sure, we plan to support 2.4, 2.5, 2.6 in 32 and 64bit. Probably even 3.0 as
        > soon as there is something working for that version. Lennart has already started
        > porting setuptools.

        That's just great! Thank you.

        --
        WBR, Dan Korostelev
        _______________________________________________
        Zope-Dev maillist - Zope-Dev@...
        http://mail.zope.org/mailman/listinfo/zope-dev
        ** No cross posts or HTML encoding! **
        (Related lists -
        http://mail.zope.org/mailman/listinfo/zope-announce
        http://mail.zope.org/mailman/listinfo/zope )
      • Sebastien Douche
        ... I m buying new server for my company (dual xeon, 8go ram). I will install buildbot on it. -- Sebastien Douche
        Message 3 of 11 , Feb 2, 2009
        View Source
        • 0 Attachment
          On Mon, Feb 2, 2009 at 10:09, Christophe Combelles <ccomb@...> wrote:
          >> http://zope3.pov.lt/buildbot/
          >
          > Ok, Sebastien and I are going to setup the buildbot, we have a dedicated server
          > for that.
          >
          > Marius, could you help us start, by sending me your buildbot configuration?

          I'm buying new server for my company (dual xeon, 8go ram). I will
          install buildbot on it.

          --
          Sebastien Douche <sdouche@...>
          _______________________________________________
          Zope-Dev maillist - Zope-Dev@...
          http://mail.zope.org/mailman/listinfo/zope-dev
          ** No cross posts or HTML encoding! **
          (Related lists -
          http://mail.zope.org/mailman/listinfo/zope-announce
          http://mail.zope.org/mailman/listinfo/zope )
        • Marius Gedminas
          ... Here it is, again, to keep the discussion nicely self-contained in list archives: http://zope3.pov.lt/master.cfg Since 3.4 is probably not going to change
          Message 4 of 11 , Feb 2, 2009
          View Source
          • 0 Attachment
            On Mon, Feb 02, 2009 at 12:38:07PM +0300, Dan Korostelev wrote:
            > 2009/2/2 Christophe Combelles <ccomb@...>:
            > > Stephan Richter a écrit :
            > >> Hi everyone,
            > >>
            > >> I have setup a KGS for Zope 3.5, so that people can test the development KGS.
            > >>
            > >> http://download.zope.org/zope3.5/
            > >>
            > >> I have updated all packages to the latest version available. I have not tested
            > >> anything. I would like someone to setup a buildbot like at
            > >>
            > >> http://zope3.pov.lt/buildbot/
            > >
            > > Ok, Sebastien and I are going to setup the buildbot, we have a dedicated server
            > > for that.
            > >
            > > Marius, could you help us start, by sending me your buildbot configuration?
            >
            > It's even better to have the buildbot configuration published so
            > people could easily setup their copies :)

            Here it is, again, to keep the discussion nicely self-contained in list
            archives:

            http://zope3.pov.lt/master.cfg

            Since 3.4 is probably not going to change much now that it's released
            (though it would be nice to fix the remaining persistent build failures
            on 32-bit buildslaves), I can probably just switch

            http://zope3.pov.lt/buildbot/

            to run against the 3.5 KGS.

            > BTW, it would be great to have buildbot for python 2.6, if we want to
            > support it in 3.5. It was somewhat problematic for zope3.pov.lt, as
            > there's old ubuntu versions on that servers, but if you are going to
            > setup another one - may be you'll get py2.6 for that? ;-)

            Windows build slaves would also be very nice to have, if anybody has
            Windows and can spare the pain to figure out how to baby-sit it.

            Marius Gedminas
            --
            http://pov.lt/ -- Zope 3 consulting and development
          • Christophe Combelles
            ... We need to maintain this branch and probably release some 3.4.1 bugfix, so we still need the buildbot for this branch. The buildbot for KGS 3.5 also need
            Message 5 of 11 , Feb 2, 2009
            View Source
            • 0 Attachment
              Marius Gedminas a écrit :
              > On Mon, Feb 02, 2009 at 12:38:07PM +0300, Dan Korostelev wrote:
              >> 2009/2/2 Christophe Combelles <ccomb@...>:
              >>> Stephan Richter a écrit :
              >>>> Hi everyone,
              >>>>
              >>>> I have setup a KGS for Zope 3.5, so that people can test the development KGS.
              >>>>
              >>>> http://download.zope.org/zope3.5/
              >>>>
              >>>> I have updated all packages to the latest version available. I have not tested
              >>>> anything. I would like someone to setup a buildbot like at
              >>>>
              >>>> http://zope3.pov.lt/buildbot/
              >>> Ok, Sebastien and I are going to setup the buildbot, we have a dedicated server
              >>> for that.
              >>>
              >>> Marius, could you help us start, by sending me your buildbot configuration?
              >> It's even better to have the buildbot configuration published so
              >> people could easily setup their copies :)
              >
              > Here it is, again, to keep the discussion nicely self-contained in list
              > archives:
              >
              > http://zope3.pov.lt/master.cfg
              >
              > Since 3.4 is probably not going to change much now that it's released
              > (though it would be nice to fix the remaining persistent build failures
              > on 32-bit buildslaves), I can probably just switch
              >
              > http://zope3.pov.lt/buildbot/
              >
              > to run against the 3.5 KGS.

              We need to maintain this branch and probably release some 3.4.1 bugfix, so we
              still need the buildbot for this branch.
              The buildbot for KGS 3.5 also need to run tests with python 2.6.
              Maybe you can switch your buildbot to run a 3.4.1dev KGS?

              Christophe

              >
              >> BTW, it would be great to have buildbot for python 2.6, if we want to
              >> support it in 3.5. It was somewhat problematic for zope3.pov.lt, as
              >> there's old ubuntu versions on that servers, but if you are going to
              >> setup another one - may be you'll get py2.6 for that? ;-)
              >
              > Windows build slaves would also be very nice to have, if anybody has
              > Windows and can spare the pain to figure out how to baby-sit it.
              >
              > Marius Gedminas
              >
              >
              > ------------------------------------------------------------------------
              >
              > _______________________________________________
              > Zope-Dev maillist - Zope-Dev@...
              > http://mail.zope.org/mailman/listinfo/zope-dev
              > ** No cross posts or HTML encoding! **
              > (Related lists -
              > http://mail.zope.org/mailman/listinfo/zope-announce
              > http://mail.zope.org/mailman/listinfo/zope )

              _______________________________________________
              Zope-Dev maillist - Zope-Dev@...
              http://mail.zope.org/mailman/listinfo/zope-dev
              ** No cross posts or HTML encoding! **
              (Related lists -
              http://mail.zope.org/mailman/listinfo/zope-announce
              http://mail.zope.org/mailman/listinfo/zope )
            • Stephan Richter
              ... I agree, Marius. We will need the 3.4 KGS tested for a while. In fact, there should be already several bug fix releases of the listed packages. I did not
              Message 6 of 11 , Feb 2, 2009
              View Source
              • 0 Attachment
                On Monday 02 February 2009, Christophe Combelles wrote:
                > > Here it is, again, to keep the discussion nicely self-contained in list
                > > archives:
                > >
                > >   http://zope3.pov.lt/master.cfg
                > >
                > > Since 3.4 is probably not going to change much now that it's released
                > > (though it would be nice to fix the remaining persistent build failures
                > > on 32-bit buildslaves), I can probably just switch
                > >
                > >   http://zope3.pov.lt/buildbot/
                > >
                > > to run against the 3.5 KGS.
                >
                > We need to maintain this branch and probably release some 3.4.1 bugfix, so
                > we still need the buildbot for this branch.
                > The buildbot for KGS 3.5 also need to run tests with python 2.6.
                > Maybe you can switch your buildbot to run a 3.4.1dev KGS?

                I agree, Marius. We will need the 3.4 KGS tested for a while. In fact, there
                should be already several bug fix releases of the listed packages. I did not
                worry about updating them, since I just wanted to get a release out first.

                Is anyone here willing (with my guidance if needed) to start working on a
                3.4.1 release? It should be pretty easy and I do not expect any test
                breakages.

                Regards,
                Stephan
                --
                Stephan Richter
                Web Software Design, Development and Training
                Google me. "Zope Stephan Richter"
                _______________________________________________
                Zope-Dev maillist - Zope-Dev@...
                http://mail.zope.org/mailman/listinfo/zope-dev
                ** No cross posts or HTML encoding! **
                (Related lists -
                http://mail.zope.org/mailman/listinfo/zope-announce
                http://mail.zope.org/mailman/listinfo/zope )
              • Martijn Faassen
                ... I would strongly urge the people setting up the buildbot to consider running the z3c.recipe.compat tests instead of the integrated tests. We discovered a
                Message 7 of 11 , Feb 2, 2009
                View Source
                • 0 Attachment
                  Christophe Combelles wrote:
                  > Stephan Richter a écrit :
                  >> Hi everyone,
                  >>
                  >> I have setup a KGS for Zope 3.5, so that people can test the development KGS.
                  >>
                  >> http://download.zope.org/zope3.5/
                  >>
                  >> I have updated all packages to the latest version available. I have not tested
                  >> anything. I would like someone to setup a buildbot like at
                  >>
                  >> http://zope3.pov.lt/buildbot/
                  >
                  > Ok, Sebastien and I are going to setup the buildbot, we have a dedicated server
                  > for that.
                  >
                  > Marius, could you help us start, by sending me your buildbot configuration?

                  I would strongly urge the people setting up the buildbot to consider
                  running the z3c.recipe.compat tests instead of the integrated tests. We
                  discovered a *lot* of dependency problems with the current packages
                  because they were all tested together in the same process, so that
                  dependencies being being pulled in that weren't declared, and ZCML was
                  being loaded elsewhere that a package actually directly depends on.

                  Regards,

                  Martijn

                  _______________________________________________
                  Zope-Dev maillist - Zope-Dev@...
                  http://mail.zope.org/mailman/listinfo/zope-dev
                  ** No cross posts or HTML encoding! **
                  (Related lists -
                  http://mail.zope.org/mailman/listinfo/zope-announce
                  http://mail.zope.org/mailman/listinfo/zope )
                • Sebastien Douche
                  ... understood. -- Sebastien Douche _______________________________________________ Zope-Dev maillist - Zope-Dev@zope.org
                  Message 8 of 11 , Feb 2, 2009
                  View Source
                  • 0 Attachment
                    On Tue, Feb 3, 2009 at 01:50, Martijn Faassen <faassen@...> wrote:
                    > I would strongly urge the people setting up the buildbot to consider
                    > running the z3c.recipe.compat tests instead of the integrated tests. We
                    > discovered a *lot* of dependency problems with the current packages
                    > because they were all tested together in the same process, so that
                    > dependencies being being pulled in that weren't declared, and ZCML was
                    > being loaded elsewhere that a package actually directly depends on.

                    understood.

                    --
                    Sebastien Douche <sdouche@...>
                    _______________________________________________
                    Zope-Dev maillist - Zope-Dev@...
                    http://mail.zope.org/mailman/listinfo/zope-dev
                    ** No cross posts or HTML encoding! **
                    (Related lists -
                    http://mail.zope.org/mailman/listinfo/zope-announce
                    http://mail.zope.org/mailman/listinfo/zope )
                  Your message has been successfully submitted and would be delivered to recipients shortly.